import React from 'react';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { Button } from '@/shared/Button';

import { logout } from '@/redux/user/user.thunks';

export const ToSModal: React.FC = () => {
  const dispatch = useAppDispatch();
  const updateUserTosHandler = async (): Promise<void> => {
    // eslint-disable-next-line no-console
    console.log('update');
  };

  const logoutHandler = (): void => {
    dispatch(logout());
  };

  return (
    <div className="w-[400px] border border-t-[#E1E0E6] bg-white p-[24px]">
      <div className="grid grid-cols-2 gap-2">
        <div>
          <Button
            className="ring-transparent hover:ring-transparent"
            variantStyles="secondary"
            onClick={updateUserTosHandler}
          >
            OK
          </Button>
        </div>
        <div className="text-center">
          <Button className="block w-full" onClick={logoutHandler}>
            I disagree
          </Button>
        </div>
      </div>
    </div>
  );
};
